unofficial mirror of help-guix@gnu.org 
 help / color / Atom feed
* GUIX_LOCPATH message over and over again
@ 2020-05-19 15:17 Ekaitz Zarraga
  2020-05-19 15:46 ` Leo Famulari
  0 siblings, 1 reply; 6+ messages in thread
From: Ekaitz Zarraga @ 2020-05-19 15:17 UTC (permalink / raw)
  To: help-guix\@gnu.org

Hi all,

I made a guix pull the other day and since then I'm getting the classic:

....
guile: warning: failed to install locale
hint: Consider installing the `glibc-utf8-locales' or `glibc-locales' package and defining `GUIX_LOCPATH', along these lines:

     guix package -i glibc-utf8-locales
     export GUIX_LOCPATH="$HOME/.guix-profile/lib/locale"

See the "Application Setup" section in the manual, for mo...
....


But what it says doesn't solve anything. The error persists.
What am I missing?
IIRC it went away in previous time just doing what the error message says.

Also, isn't there any way to make it just work in GuixSD?

Thanks!
ElenQ Technology
Ethical Innovation




^ permalink raw reply	[flat|nested] 6+ messages in thread

* Re: GUIX_LOCPATH message over and over again
  2020-05-19 15:17 GUIX_LOCPATH message over and over again Ekaitz Zarraga
@ 2020-05-19 15:46 ` Leo Famulari
  2020-05-23 14:06   ` raingloom
  0 siblings, 1 reply; 6+ messages in thread
From: Leo Famulari @ 2020-05-19 15:46 UTC (permalink / raw)
  To: Ekaitz Zarraga; +Cc: help-guix\@gnu.org

On Tue, May 19, 2020 at 03:17:32PM +0000, Ekaitz Zarraga wrote:
> I made a guix pull the other day and since then I'm getting the classic:
> 
> ....
> guile: warning: failed to install locale
> hint: Consider installing the `glibc-utf8-locales' or `glibc-locales' package and defining `GUIX_LOCPATH', along these lines:
> 
>      guix package -i glibc-utf8-locales
>      export GUIX_LOCPATH="$HOME/.guix-profile/lib/locale"
> 
> See the "Application Setup" section in the manual, for mo...
> ....
> 
> 
> But what it says doesn't solve anything. The error persists.
> What am I missing?
> IIRC it went away in previous time just doing what the error message says.

The locales are not compatible between versions of glibc, and you
probably pulled a big update that updated glibc. So now, you are using
the new version, and the guix-daemon is still using the old version.

The locales need to be updated for people who are using Guix (that's
you) and for the guix-daemon, which runs as a different user (typically
as root).

Check the manual section on locales for Guix System, specifically the
part about compatibility:

https://guix.gnu.org/manual/en/html_node/Locales.html


^ permalink raw reply	[flat|nested] 6+ messages in thread

* Re: GUIX_LOCPATH message over and over again
  2020-05-19 15:46 ` Leo Famulari
@ 2020-05-23 14:06   ` raingloom
  2020-05-23 18:32     ` Leo Famulari
  0 siblings, 1 reply; 6+ messages in thread
From: raingloom @ 2020-05-23 14:06 UTC (permalink / raw)
  To: help-guix

On Tue, 19 May 2020 11:46:51 -0400
Leo Famulari <leo@famulari.name> wrote:

> On Tue, May 19, 2020 at 03:17:32PM +0000, Ekaitz Zarraga wrote:
> > I made a guix pull the other day and since then I'm getting the
> > classic:
> > 
> > ....
> > guile: warning: failed to install locale
> > hint: Consider installing the `glibc-utf8-locales' or
> > `glibc-locales' package and defining `GUIX_LOCPATH', along these
> > lines:
> > 
> >      guix package -i glibc-utf8-locales
> >      export GUIX_LOCPATH="$HOME/.guix-profile/lib/locale"
> > 
> > See the "Application Setup" section in the manual, for mo...
> > ....
> > 
> > 
> > But what it says doesn't solve anything. The error persists.
> > What am I missing?
> > IIRC it went away in previous time just doing what the error
> > message says.  
> 
> The locales are not compatible between versions of glibc, and you
> probably pulled a big update that updated glibc. So now, you are using
> the new version, and the guix-daemon is still using the old version.
> 
> The locales need to be updated for people who are using Guix (that's
> you) and for the guix-daemon, which runs as a different user
> (typically as root).
> 
> Check the manual section on locales for Guix System, specifically the
> part about compatibility:
> 
> https://guix.gnu.org/manual/en/html_node/Locales.html
> 

This should probably be clarified better in the docs, because I
installed Guix on top of Ubuntu recently and even though I've set it up
correctly once on Arch, it was rather confusing to me why I was getting
that message.
I think the frequency with which people ask about it is enough proof
that the docs don't cover properly all the issues that beginners face.


^ permalink raw reply	[flat|nested] 6+ messages in thread

* Re: GUIX_LOCPATH message over and over again
  2020-05-23 14:06   ` raingloom
@ 2020-05-23 18:32     ` Leo Famulari
  0 siblings, 0 replies; 6+ messages in thread
From: Leo Famulari @ 2020-05-23 18:32 UTC (permalink / raw)
  To: raingloom; +Cc: help-guix

On Sat, May 23, 2020 at 04:06:02PM +0200, raingloom wrote:
> This should probably be clarified better in the docs, because I
> installed Guix on top of Ubuntu recently and even though I've set it up
> correctly once on Arch, it was rather confusing to me why I was getting
> that message.
> I think the frequency with which people ask about it is enough proof
> that the docs don't cover properly all the issues that beginners face.

Yup! It's been a pain point for a long time, and we've been slowly
chipping away at it.

We started discussing it here recently:

https://lists.gnu.org/archive/html/guix-devel/2020-03/msg00260.html

Maybe you have some ideas?


^ permalink raw reply	[flat|nested] 6+ messages in thread

* Re: GUIX_LOCPATH message over and over again
  2020-05-20  6:03 Jérémy Korwin-Zmijowski
@ 2020-05-20 11:02 ` zimoun
  0 siblings, 0 replies; 6+ messages in thread
From: zimoun @ 2020-05-20 11:02 UTC (permalink / raw)
  To: Jérémy Korwin-Zmijowski; +Cc: help-guix

On Wed, 20 May 2020 at 08:03, Jérémy Korwin-Zmijowski
<jeremy@korwin-zmijowski.fr> wrote:

> Then make sure super user and regular users share the same locales.

I am not sure it is mandatory.


> Finally, I reboot.

Restart the daemon and resource the profiles should be enough. :-)


^ permalink raw reply	[flat|nested] 6+ messages in thread

* GUIX_LOCPATH message over and over again
@ 2020-05-20  6:03 Jérémy Korwin-Zmijowski
  2020-05-20 11:02 ` zimoun
  0 siblings, 1 reply; 6+ messages in thread
From: Jérémy Korwin-Zmijowski @ 2020-05-20  6:03 UTC (permalink / raw)
  To: ekaitz, help-guix

When I get that on my Ubuntu, I repeat this steps :

$ guix pull
$ guix package --install=glibc-locales
$ guix upgrade
$ sudo su
# guix pull
# guix package --install=glibc-locales
# guix upgrade

Then make sure super user and regular users share the same locales.

Finally, I reboot.



^ permalink raw reply	[flat|nested] 6+ messages in thread

end of thread, back to index

Thread overview: 6+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2020-05-19 15:17 GUIX_LOCPATH message over and over again Ekaitz Zarraga
2020-05-19 15:46 ` Leo Famulari
2020-05-23 14:06   ` raingloom
2020-05-23 18:32     ` Leo Famulari
2020-05-20  6:03 Jérémy Korwin-Zmijowski
2020-05-20 11:02 ` zimoun

unofficial mirror of help-guix@gnu.org 

Archives are clonable:
	git clone --mirror https://yhetil.org/guix-user/0 guix-user/git/0.git

	# If you have public-inbox 1.1+ installed, you may
	# initialize and index your mirror using the following commands:
	public-inbox-init -V2 guix-user guix-user/ https://yhetil.org/guix-user \
		help-guix@gnu.org
	public-inbox-index guix-user

Example config snippet for mirrors

Newsgroups are available over NNTP:
	nntp://news.yhetil.org/yhetil.gnu.guix.user
	nntp://news.gmane.io/gmane.comp.gnu.guix.user


AGPL code for this site: git clone https://public-inbox.org/public-inbox.git